com.pivotal.gemfirexd.internal.client.net

## Class NetSqlca

- java.lang.Object
- - com.pivotal.gemfirexd.internal.client.am.Sqlca
  - - com.pivotal.gemfirexd.internal.client.net.NetSqlca

    public class NetSqlca
    extends Sqlca

### Field Summary

### Fields inherited from class com.pivotal.gemfirexd.internal.client.am.Sqlca

`connection_, containsSqlcax_, rowsetRowCount_, sqlCode_, sqlErrd_, sqlErrmcBytes_, sqlErrmcCcsid_, sqlErrmcMessages_, sqlErrp_, sqlErrpBytes_, sqlState_, sqlWarn_, sqlWarnBytes_`

### Method Summary

Methods
`long` `getRowCount(Typdef typdef)`
`protected void` `setSqlerrd(int[] sqlErrd)`
`protected void` `setSqlerrmcBytes(byte[] sqlErrmcBytes, int sqlErrmcCcsid)`
`protected void` `setSqlwarnBytes(byte[] sqlWarnBytes)`

### Methods inherited from class com.pivotal.gemfirexd.internal.client.am.Sqlca

`bytes2String, containsSqlcax, getRowCount, getRowsetRowCount, getSqlCode, getSqlErrd, getSqlErrmc, getSqlErrp, getSqlState, getSqlWarn, getUpdateCount, includesSqlCode, resetRowsetSqlca, setContainsSqlcax, setRowsetRowCount`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### setSqlerrd

    protected void setSqlerrd(int[] sqlErrd)

#### setSqlwarnBytes

    protected void setSqlwarnBytes(byte[] sqlWarnBytes)

#### setSqlerrmcBytes

    protected void setSqlerrmcBytes(byte[] sqlErrmcBytes,
                        int sqlErrmcCcsid)

#### getRowCount

    public long getRowCount(Typdef typdef)
                     throws DisconnectException

Throws:
  `DisconnectException`